<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="../images/paa.ico">

        <title>PAA - test  de configutation des plannings</title>

        <!-- Includes -->
        <script type="text/javascript">
            // Créer la variable window.cPathJavascript
            // Qui permet à include.js de connaitre le chemin des scripts
            !function () {
                var e = p(p(p(window.location.href)));
                window.cPathJavascript = e;
                function p(e) {
                    e = e.split('/');           //break the string into an array
                    e.pop();                    //remove its last element
                    return e.join('/');
                }
            }();
        </script>
        <script type="text/javascript" src="../../Partages/src/include.js"></script>

        <script type="text/javascript">
            // Bibliothèques de base
            includeJS('../Partages/lib/jquery-1.10.2.js');
            includeJS('../Partages/lib/bootstrap/js/bootstrap.min.js');
            includeCSS('../Partages/lib/bootstrap/css/bootstrap.min.css');
            includeJS('../Partages/src/fonctions.js');

            // IE10 viewport hack for Surface/desktop Windows 8 bug
            includeJS('../Partages/lib/bootstrap/assets/js/ie10-viewport-bug-workaround.js');

            // Spécifiques
            includeJS('../PAA/html/Planning_sideBarConfig.js');
            includeCSS('../PAA/html/Planning_sideBarConfig.css');
        </script>

        <!-- Styles pour les icones de la sideBar
                 Doivent être chargés à la fin -->
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    </head>

    <body>
        <!-- 
                <nav id = "testSideBar" 
                        class="navbar navbar-m2p sidebar"
                        style="margin-left: 0px;/*Pour forcer la visibilité dans la fenêtre*/
                                    border-color: black;/*Pour montrer les contours*/
                                        ">
        -->
        <nav id = "testSideBar" 
             data-role="planning_sideBarConfig"
             data-auto="false"
             style="margin-left: 0px;/*Pour forcer la visibilité dans la fenêtre*/
             border-color: black;/*Pour montrer les contours*/
             ">
        </nav>


        <script type="text/javascript">
            $(document).ready(initialise);
            function initialise() {
                $("#testSideBar").bind('onChangeConfig', function () {
                    alert("Planning_sideBarConfig.onChangeConfig");
                });
                $("#testSideBar").bind('onValide', function (evt, data) {
                    alert("Planning_sideBarConfig.onValide");
                });

            }
            ;
        </script>	
    </body>
